## ide-terminal-page ide-terminal-page |

## Functions

void | ide_terminal_page_set_launcher ()
void | ide_terminal_page_set_pty ()
void | ide_terminal_page_feed ()
const gchar * | ide_terminal_page_get_current_directory_uri ()

## Properties

gboolean | close-on-exit | Read / Write
IdeTerminalLauncher * | launcher | Read / Write
gboolean | manage-spawn | Read / Write / Construct Only
VtePty * | pty | Read / Write / Construct Only
gboolean | respawn-on-exit | Read / Write

## Signals

void | text-inserted | Run Last

## Types and Values

#define | IDE_TYPE_TERMINAL_PAGE
| IdeTerminalPage

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── IdePage
                            ╰── IdeTerminalPage

## Implemented Interfaces

IdeTerminalPage implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### ide_terminal_page_set_launcher ()

    void
    ide_terminal_page_set_launcher (IdeTerminalPage *self,
                                    IdeTerminalLauncher *launcher);

### ide_terminal_page_set_pty ()

    void
    ide_terminal_page_set_pty (IdeTerminalPage *self,
                               VtePty *pty);

### ide_terminal_page_feed ()

    void
    ide_terminal_page_feed (IdeTerminalPage *self,
                            const gchar *message);

### ide_terminal_page_get_current_directory_uri ()

    const gchar *
    ide_terminal_page_get_current_directory_uri
                                   (IdeTerminalPage *self);

## Types and Values

### IDE_TYPE_TERMINAL_PAGE

    #define IDE_TYPE_TERMINAL_PAGE (ide_terminal_page_get_type())

### IdeTerminalPage

    typedef struct _IdeTerminalPage IdeTerminalPage;

## Property Details

### The `“close-on-exit”` property

      “close-on-exit”            gboolean

Close on Exit.

Owner: IdeTerminalPage

Flags: Read / Write

Default value: TRUE

### The `“launcher”` property

      “launcher”                 IdeTerminalLauncher *

The launcher to use for spawning.

Owner: IdeTerminalPage

Flags: Read / Write

### The `“manage-spawn”` property

      “manage-spawn”             gboolean

Manage Spawn.

Owner: IdeTerminalPage

Flags: Read / Write / Construct Only

Default value: TRUE

### The `“pty”` property

      “pty”                      VtePty *

The pseudo terminal to use.

Owner: IdeTerminalPage

Flags: Read / Write / Construct Only

### The `“respawn-on-exit”` property

      “respawn-on-exit”          gboolean

Respawn on Exit.

Owner: IdeTerminalPage

Flags: Read / Write

Default value: TRUE

## Signal Details

### The `“text-inserted”` signal

    void
    user_function (IdeTerminalPage *ideterminalpage,
                   gpointer         user_data)

Flags: Run Last